# healthcheck

## Description

This npm module contains various healthchecks in order to retrieve the status from different sources like dbs, filesystems or upstream services.

## Development

### Before starting development

* Install npm packages: `make npm` or `npm install`
* Build service dependencies (docker images): `make build-dev-images`
* Start service dependencies (docker container): `make dev-inf-up`
* Watch for file changes: `npm run watch`
  * alternatively press `⇧⌘B` to execute default task runner in `vscode`

### During development

* Run test suite: `npm run test`
* Commit your changes into a separare feature branch using semantic commit messages
* Regulary push your changes to remote origin  `git.3-s.at`

### After finishing development

* Stop service dependencies: `make dev-inf-down`
* Push your changes to remote origin `git.3-s.at`
* Create a pull request from feature branch to branch `Development` via the Bitbucket Webinterface of git server `git.3-s-.at`
  * Add a reviwer to the pull request
* Check CI/CD Pipeline result

## Publishing

* Sign in to private registry at `registry.3-s.at` with `npm adduser --registry=https://registry.3sit.at/repository/gems-private/ --always-auth`
* Update version number in `package.json` file
* Make sure to update `.npmignore ` file
* Run `npm publish --registry=https://registry.3sit.at/repository/gems-private/` to push latest version to private registry
* Signin to `registry.3-s.at` and verify result